<?php

namespace Drupal\config_auto_export;

use Drupal\Core\Config\FileStorage;

/**
 * Provides a factory for creating config file storage objects.
 */
class FileStorageFactory {

  /**
   * Returns a FileStorage object working with the configured directory.
   *
   * @return FileStorage
   */
  public static function getSync() {
    return new FileStorage(\Drupal::config('config_auto_export.settings')->get('directory'));
  }

}
